Metroid Prime Trilogy IOS? Does it force update?

Discussion in 'Wii - Console and Game Discussions' started by haohmaru6, Aug 28, 2009.

  1. haohmaru6
    OP

    haohmaru6 Advanced Member

    Newcomer
    80
    8
    Nov 20, 2003
    United States
    United States
    NOTE: This thread is NOT for discussing burning or dumping the game, or using loaders.

    I have already ordered my copy from Amazon and it's on its way, but I have system menu 3.2U and the homebrew channel installed. My question is, will the game force an update to allow it to play, and if so, what IOS do I need installed so I won't have to update the system menu?
     


  2. Bladexdsl

    Bladexdsl ZOMG my posts...it's over 9000!!!

    Member
    15,781
    3,452
    Nov 17, 2008
    Australia
    Queensland
    it'll try to update to 4.1
     
  3. YayMii

    YayMii hi

    Member
    4,911
    422
    Jun 24, 2009
    Canada
    that place
    No it won't. It's proven that MPT contains 3.4.
     
  4. Bladexdsl

    Bladexdsl ZOMG my posts...it's over 9000!!!

    Member
    15,781
    3,452
    Nov 17, 2008
    Australia
    Queensland
    BS it does cos when i put the disc in i was on 4.0 and it asked to update
     
  5. YayMii

    YayMii hi

    Member
    4,911
    422
    Jun 24, 2009
    Canada
    that place
    It has new IOS files, but system menu 3.4.

    'Nuff said.
     
  6. soul2soul

    soul2soul Advanced Member

    Newcomer
    96
    0
    Feb 6, 2004
    Netherlands
    Sorry but what does this mean? I have a PAl Wii and a Wiikey and latest firmware on my Wii, can I savely update from disc?
     
  7. Maikel Steneker

    Maikel Steneker M3 Fanboy

    Member
    3,396
    34
    May 16, 2007
    Netherlands
    It means that any IOS' with the signing bug will be replaced by new ones (this makes installing WADs and downgrading harder) and that CIOSCORP will be removed.
     
  8. haohmaru6
    OP

    haohmaru6 Advanced Member

    Newcomer
    80
    8
    Nov 20, 2003
    United States
    United States
    I'm really only asking about the version released in the states, the NTSC USA version. And again, if at all possible to just install a single IOS and not upgrade my system menu past 3.2U.

    Can someone who has the USA version and had 3.2U previously tell me details about what it wants to update, and if I can stay at 3.2U and still be able to play the game normally?
     
  9. Maikel Steneker

    Maikel Steneker M3 Fanboy

    Member
    3,396
    34
    May 16, 2007
    Netherlands
    It will certainly force you to update, but if you run it in Gecko OS (or NeoGamma etc.) it will probably run without updating. Hopefully someone else can give you the details, as I've not tried this myself.
     
  10. soul2soul

    soul2soul Advanced Member

    Newcomer
    96
    0
    Feb 6, 2004
    Netherlands
    Okay, thanks.

    I don't use my Wii for homebrew. Is it save to install this update? So I can play the Trilogy? Or is it going to brick my Wii?
     
  11. IAmTheRad

    IAmTheRad GBAtemp Regular

    Member
    198
    1
    Aug 7, 2006
    Canada
    Why would Nintendo release an update on a game that many people are going to get that would cause unmodified Wiis to become bricked? Could you say lawsuit?

    Anyways, if you're worried, I would at the minimum install preloader (or bootmii) to your wii, even if you won't modify it past that. Then you could block any updates and bypass update checks on Nintendo games (because they usually are useless)

    BUT this isn't about loaders/updates at all.

    I'm playing through Prime 1 right now, and it's a ton of fun. I tried to play Prime (GC version) after playing prime Corruption, and it was unplayable with the horrid controls. The graphical enhancements and lower loading time is nice, but the game so far, is great. I just got my space jump boots!
     
  12. vze

    vze Newbie

    Newcomer
    3
    0
    Jul 13, 2008
    United States
    i have tried it with the latest gecko os, 1.9.2. i believe, it works for me without updating.
     
  13. TyRaNtM

    TyRaNtM I did some projects..

    Member
    999
    25
    Oct 13, 2007
    Cote d'Ivoire
    Chile
    Force update, if you have a lower version of MIOS (MIOS v9 is in the game).
     
  14. YayMii

    YayMii hi

    Member
    4,911
    422
    Jun 24, 2009
    Canada
    that place
    Does this mean that MPT uses the MIOS to play MP1+2?
     
  15. Covarr

    Covarr Sentient Cash Register

    Member
    872
    5
    Oct 21, 2005
    United States
    Far East of Eden
    That seems unlikely. I don't think MIOS has support for Wii Remote.

    On the other hand, MIOS is in some ways ideal for a port of a GCN game.
     
  16. TyRaNtM

    TyRaNtM I did some projects..

    Member
    999
    25
    Oct 13, 2007
    Cote d'Ivoire
    Chile
    No, that means that all games have complete wii updates, including MIOS, not that the game use it.
     
  17. YayMii

    YayMii hi

    Member
    4,911
    422
    Jun 24, 2009
    Canada
    that place
    Does anybody know what IOS the disc uses? I'm trying to get it to work with cIOScorp 3.3.
     
  18. haohmaru6
    OP

    haohmaru6 Advanced Member

    Newcomer
    80
    8
    Nov 20, 2003
    United States
    United States
    I don't think it's possible for any game that uses the wiimote to run on MIOS, because MIOS has no ability to access the wiimote.

    I do have bootmii installed, as boot2. Does bootmii automatically bypass update checks?

    And if that doesn't stop it from trying to update:

    If I don't want to update anything at all, the best solution is to run the disc through Gecko OS 1.9.2, from the homebrew channel?
     
  19. ayojoe

    ayojoe Advanced Member

    Newcomer
    71
    0
    May 15, 2009
    United States
    Because I didn't want to use Preloader, I used StartPatch. It has many hacks that install into your system menu such as blocking updates being one of them. You can also use it to uninstall the hacks at any given time too. Just make sure you have the right version meant for your Wii.

    Question though, I'm guessing MIOS updates on Conduit and MPT are because of GCN piracy. Is it still possible to use cMIOS or MIOS Patcher if these new MIOS revisions from the disc are installed on the Wii?
     
  20. G0dLiKe

    G0dLiKe who needs a title ;)

    Member
    1,674
    51
    Aug 2, 2009
    United States

    No, BootMii doesn´t block updates, just use preloader 0.29 and disable it there- you have BootMii Boot2 so if something goes wrong you can restore your nand with ease(make sure to do a backup).

    Possibly the game will run through Gecko, I am playing it via USB Loader and its hassle free.

    Anyways, preloader is a fine app because you can set many nice hacks like regionfree Wii discs and regionfree channels...